aboutsummaryrefslogtreecommitdiff
path: root/api/tests/gathered_zblocks.sh
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2023-03-30 01:09:30 +0300
committerkaotisk <kaotisk@arching-kaos.org>2023-03-30 01:09:30 +0300
commite2da6d2db20093ebd2a65aad35c9991ab1a02176 (patch)
treee5c77a8f4a6fd106b13b659e248cab5768d07cdc /api/tests/gathered_zblocks.sh
parenta4901ad47d2945e9a6c6616661840c97ebbf03e7 (diff)
downloadarching-kaos-tools-e2da6d2db20093ebd2a65aad35c9991ab1a02176.tar.gz
arching-kaos-tools-e2da6d2db20093ebd2a65aad35c9991ab1a02176.tar.bz2
arching-kaos-tools-e2da6d2db20093ebd2a65aad35c9991ab1a02176.zip
Introducing an HTTP JSON API
Diffstat (limited to 'api/tests/gathered_zblocks.sh')
-rwxr-xr-xapi/tests/gathered_zblocks.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/api/tests/gathered_zblocks.sh b/api/tests/gathered_zblocks.sh
new file mode 100755
index 0000000..cbe2c9a
--- /dev/null
+++ b/api/tests/gathered_zblocks.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+
+printf "TEST /see\n"
+printf "\t01:\tOutput is JSON"
+curl http://127.0.0.1:8610/v0/see 2>/dev/null | jq > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\n\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t02:\tFound blocks inside response"
+curl http://127.0.0.1:8610/v0/see 2>/dev/null | grep block > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\n\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\n\t\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"